IP_MTU(2const)

NAME
IP_MTU - path maximum transmission unit size

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int getsockopt(int sockfd, IPPROTO_IP, IP_MTU,
               int *val, sizeof(int));

DESCRIPTION
Retrieve the current known path MTU of the current socket.

IP_MTU is valid only for getsockopt(2), and can be employed only when the socket has been connected.

ERRORS
See IPPROTO_IP(2const). See getsockopt(2). See ip(7).

STANDARDS
Linux.

HISTORY
Linux 2.2.

SEE ALSO
IPPROTO_IP(2const), getsockopt(2), ip(7)